Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: tftp

Tunables Interfaces

### Description:

Trivial file transfer protocol daemon.

### Tunables:

tftp_anon_write

##### Default value

false

##### Description

Determine whether tftp can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

tftp_enable_homedir

##### Default value

false

##### Description

Determine whether tftp can manage generic user home content.

Return

### Interfaces:

tftp_admin( domain )

##### Summary

All of the rules required to administrate an tftp environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tftp_etc_filetrans_config( domain , object_class , name )

##### Summary

Create objects in etc directories with tftp conf type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
object_class | Class of the object being created.
name | The name of the object being created.

tftp_filetrans_tftpdir( domain , private_type , object_class , name )

##### Summary

Create objects in tftpdir directories with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | Private file type.
object_class | Class of the object being created.
name | The name of the object being created.

tftp_manage_config_files( domain )

##### Summary

Create, read, write, and delete tftpd configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tftp_manage_rw_content( domain )

##### Summary

Create, read, write, and delete tftp rw content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tftp_read_config_files( domain )

##### Summary

Read tftpd configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tftp_read_content( domain )

##### Summary

Read tftp content files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return